Public Types | Static Public Member Functions | List of all members
clan::IntersectionTest Class Reference
clanCore Math

`#include <intersection_test.h>`

## Public Types
enum | OverlapResult { disjoint, overlap }
enum | Result { outside, inside, intersecting }

## Static Public Member Functions
static OverlapResult | aabb (const AxisAlignedBoundingBox &a, const AxisAlignedBoundingBox &b)
static Result | frustum_aabb (const FrustumPlanes &frustum, const AxisAlignedBoundingBox &box)
static Result | frustum_obb (const FrustumPlanes &frustum, const OrientedBoundingBox &box)
static Result | plane_aabb (const Vec4f &plane, const AxisAlignedBoundingBox &aabb)
static Result | plane_obb (const Vec4f &plane, const OrientedBoundingBox &obb)
static OverlapResult | ray_aabb (const Vec3f &ray_start, const Vec3f &ray_end, const AxisAlignedBoundingBox &box)
static OverlapResult | sphere (const Vec3f &center1, float radius1, const Vec3f &center2, float radius2)
static OverlapResult | sphere_aabb (const Vec3f &center, float radius, const AxisAlignedBoundingBox &aabb)

The documentation for this class was generated from the following file:

- intersection_test.h